/********************************  initialize.h  *****************************
 
 Purpose: Header for program data structures initialization module
 
 Notes: None.
 
 Programmmer: Ginny Mak
 Location: Montreal, Canada.
 Last Updated: April 6, 2000. 
**/

/*****************  Public defines and Data structures  *****************/

typedef struct feature{
  int id;
  double value;
}  Feature;

typedef struct feature* FeaturePtr;

FeaturePtr **example;
FeaturePtr **sv;
double *lambda;
int *svNonZeroFeature;
int *nonZeroFeature;
int *target;
double *weight;
double *output;
double rbfConstant;
int degree;
double b;
int numSv;
int numExample;
int kernelType;
int maxFeature;
int *zeroFeatureExample;

/********************************* Public Functions  *************************/

extern int readModel( FILE *in );
extern int readData( FILE *in );
