/******************************  utility.h  *********************************

 Purpose: Header of the utility module.
 Notes: None
 
 Programmer: Ginny Mak
 Location: Montreal, Canada
 Last Updated: April 6, 2000.

**/

/*************************************  Public Functions  ********************/

extern double power ( double f, int n );
extern int binSearch(int x, int *v, int n);
extern void swap(int *v, int i, int j);
extern void quicksort(int *v, int left, int right);
extern void qsort2(int *v, int left, int right, double *d);
extern int myrandom(int n);
